@font-face {
    font-family: "pixeloperator";
    src: url(../fonts/PixelOperator.ttf);
}

@font-face {
    font-family: "bitblox";
    src: url(../fonts/BitBlox_Monospaced.otf);
}

@font-face {
    font-family: "likelove";
    src: url(../fonts/AiKonomiLikeLove.otf);
}

@font-face {
    font-family: "shikakufuto";
    src: url(../fonts/Shikakufuto_Free_ver20251228.ttf);
}

@font-face {
    font-family: "emoji";
    src: url(../fonts/EmojiFont.ttf);
}

:root {
    --offwhite: #f3f3f3;
    --lighttone: #e8edf1;
    --lightgray: #dddddd;
    --darkgray: #babbbb;
    --lightblack: #686868;
    --offblack: #454545;

    --accent1: #1e67ff;
    --accent2: #f93b3b;
    --accent3: #4ccaf4;
}

* {
    box-sizing: border-box;
}

body,
html {
    cursor: url("https://file.garden/aNIRkiNjtzNrWers/cursors/default.cur"), default;
}

body {
    color: var(--offblack);
    font-family: "pixeloperator";
    background-color: var(--lighttone);
    background-image: url(graphics/digital-bg-pylon.png);
    background-attachment: fixed;
    background-position: 5%;
    background-repeat: no-repeat;
    background-size: contain;
}

.notice {
    color: var(--accent1);
}

/*neko*/
#nl {
    font-size: 15px;
}

#cat {
    position: absolute;
    margin: 17px 0;
    color: var(--accent1);
    font-size: 12px;
}

/*btt*/
#back-to-top {
    position: fixed;
    bottom: 0;
    display: flex;
    flex-flow: column;
}

#back-to-top img {
    height: 40px;
    image-rendering: pixelated;
}

#back-to-top h6 {
    margin: 0 0 5px;
    font-size: 13px;
}

/*bg text deco*/
#back-elements {
    position: fixed;
    top: 14rem;
    z-index: -100;
    opacity: 0.5;
    transform: skew(-20deg);
}

#back-elements h1 {
    margin: 0;
    font-size: 30px;
    font-family: "bitblox", "likelove";
}

/*general settings*/
p {
    margin: 10px;
}

a {
    color: var(--accent1);
}

a:hover {
    color: var(--accent2);
    text-decoration: none;
    cursor: url("https://file.garden/aNIRkiNjtzNrWers/cursors/link-select.gif"), pointer;
}

a:visited {
    color: var(--accent3);
}

h1 {
    font-weight: normal;
}

.centered {
    text-align: center;
}

/*main content start*/
#container {
    width: 900px;
    margin: 20px 33%;
    display: grid;
    grid-template:
        "top top"
        "cover cover"
        "nav nav"
        "main side"
        "footer footer"
        /3fr 1fr;
    grid-gap: 5px;
}

/*header*/
#header {
    grid-area: top;
    height: 70px;
    padding: 5px 20px;
}

h1,
h6 {
    display: inline-block;
    font-family: "bitblox";
}

h1 {
    margin-left: 10px;
}

h6 {
    font-size: 14px;
    font-weight: 100;
}

#header svg {
    position: relative;
    top: 5px;
}

/*cover*/
#cover {
    grid-area: cover;
    position: relative;
    height: 440px;
    border-radius: 5px;
    outline: 1.5px solid var(--lightblack);
    overflow: hidden;
    object-fit: cover;
}

#cover img {
    width: 100%;
}

#cover h2,
#cover h3 {
    position: absolute;
    margin: 0;
    top: 30px;
    right: 30px;
    color: var(--offwhite);
}

#cover h2 {
    font-family: "shikakufuto";
    font-size: 40px;
    transform: skew(-20deg);
    text-shadow: 5px 5px var(--offblack);
}

#cover h3 {
    top: 90px;
    font-family: "likelove";
    font-size: 13px;
    text-align: right;
}

#cover-sidebox {
    position: absolute;
    left: 20px;
    top: 20px;
    height: 360px;
    width: 250px;
    display: flex;
    flex-flow: column;
    gap: 13px;
    justify-content: space-between;
}

#cover-sidebox h6 {
    margin: 0 3px 3px;
    font-size: 80%;
}

#cover-sidebox p {
    margin: 0;
    font-size: 90%;
}

#techpanel {
    height: 210px;
    padding-bottom: 2px;
}

#techpanel .box {
    height: 160px;
    padding: 0;
    margin-bottom: 2px;
    overflow: hidden;
}

#techpanel img {
    object-position: 0 -20px;
}

/*navlink*/
#mainnav {
    grid-area: nav;
    height: 35px;
    font-family: "bitblox";
}

#mainnav b {
    display: block;
    margin: 0;
}

#mainnav ul {
    display: inline-block;
    margin: 3px 0;
    padding: 0;
    list-style-type: none;
}

#mainnav ul li {
    float: left;
    margin: 7px;
}

/*main content general*/
.box,
.invbox {
    padding: 2px 5px 5px;
    border-radius: 5px;
    background: var(--offwhite);
}

.box {
    outline: 1.5px solid var(--lightblack);
    box-shadow:
        inset 5px 7px 7px #ffffff,
        inset -7px -7px 7px var(--lighttone);
}

.box .box {
    padding: 5px;
}

.box img {
    object-fit: cover;
}

.boxtitle {
    padding: 7px 7px 2px 7px;
    border-bottom: 1.5px solid var(--darkgray);
    font-family: "bitblox";
}

.box h6 {
    margin: 7px 10px 0;
}

.invbox {
    height: 400px;
    margin: 7px;
    padding: 10px 13px;
    outline: 1.5px solid var(--darkgray);
    box-shadow:
        inset 5px 7px 7px var(--lighttone),
        inset -7px -7px 7px #ffffff;
    overflow-y: scroll;
    display: flex;
    flex-flow: wrap;
    justify-content: center;
}

.invbox img {
    max-height: 295px;
    max-width: 550px;
}

.caption {
    margin: 0 10px 7px;
    text-align: right;
    color: var(--lightblack);
}

.buttons {
    float: right;
}

.buttons img {
    width: 10px;
    opacity: 0.5;
}

h4 {
    margin: 20px 0 0;
    font-family: "bitblox";
    font-weight: 100;
    text-align: center;
}

/*main content*/
main {
    grid-area: main;
    min-height: 480px;
}

.intro {
    text-align: right;
    color: var(--lightblack);
}

main section .box {
    margin: 10px;
}

.buttonwrapper {
    margin: 30px 10px 20px;
    display: flex;
    flex-flow: wrap;
    justify-content: space-evenly;
    gap: 3px;
}

.buttonwrapper img {
    width: 88px;
    height: 31px;
}

.blinkiewrapper {
    display: flex;
    flex-flow: wrap;
    justify-content: center;
    gap: 3px;
}

.blinkiewrapper img {
    height: 20px;
    width: 150px;
}

/*side nav*/
aside {
    grid-area: side;
}

#subnav {
    margin: 0;
    padding: 0;
    list-style-type: none;
    font-family: "bitblox";
    font-size: 80%;
    display: flex;
    flex-flow: column;
    gap: 10px;
}

#subnav li {
    margin: auto;
}

/*styling taken from https://csspro.com/css-3d-buttons/. modified by me*/
#subnav li a {
    display: inline-block;
    position: relative;
    width: 200px;
    height: 25px;
    padding: 6px 15px 5px;
    border: 1px solid var(--lightblack);
    border-radius: 50px;
    background-color: var(--lightgray);
    background-image: radial-gradient(75% 50% at 50% 0%, #ffffff, transparent),
        radial-gradient(75% 35% at 50% 80%, var(--lighttone), transparent);
    box-shadow:
        inset 0 -2px 4px 1px var(--lighttone),
        inset 0 -4px 4px 1px var(--lighttone),
        inset 0 0 2px 1px rgba(255, 255, 255, 0.2),
        0 1px 2px var(--lightgray);
    color: var(--lightblack);
    text-align: center;
}

#subnav li a:after {
    content: "";
    position: absolute;
    top: 1px;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 50px;
    width: 90%;
    height: 40%;
    background-image: linear-gradient(to bottom, #ffffff, transparent);
    opacity: 0.75;
}

#subnav li a:hover {
    border-color: var(--accent1);
    background-color: var(--accent1);
    background-image: radial-gradient(75% 50% at 50% 0%, #f4feff, transparent),
        radial-gradient(75% 35% at 50% 80%, var(--accent3), transparent);
    box-shadow: none;
    color: var(--offwhite);
}
/*end*/

.symbl {
    font-family: "emoji";
}

footer {
    grid-area: footer;
    font-family: "bitblox";
    text-align: right;
}

footer p {
    margin: 5px 5px 0;
    font-size: 80%;
}

/*music player start
 * appearance modified by me
 * codepen: https://codepen.io/grwm/pen/azoYrbL*/

#miniplay {
    padding: 7px;
}

.stats {
    display: flex;
    align-items: center;
}

.track-art {
    width: 3.5em;
    height: 3.5em;
    object-fit: cover;
    border-radius: 4px;
    background-size: cover;
    background-position: center;
}

.slider_container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 7px;
}

.current-time,
.total-duration {
    color: #666;
    font-size: 12px;
    padding: 4px;
}

.seek_slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 6px;
    height: 16px;
    background: #666;
    border: 2px solid #f5f5f5;
    border-radius: 10px;
}

.seek_slider,
.volume_slider {
    width: 100%;
}

.seek_slider,
.volume_slider {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 3px;
    background: #bbb;
}

.seek_slider::-webkit-slider-thumb,
.volume_slider::-webkit-slider-thumb {
    cursor: pointer;
}

.now-playing,
.track-name,
.track-artist {
    color: #555;
    font-size: 13px;
    font-weight: 500;
    line-height: 1.3;
}

.now-playing {
    display: none;
}

.bttn {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 14px;
}

.playpause-track,
.prev-track,
.next-track {
    opacity: 0.5;
    color: #000;
    transition: opacity 0.2s;
}

.playpause-track:hover,
.prev-track:hover,
.next-track:hover {
    opacity: 0.8;
}

i.fa-play,
i.fa-pause,
.prev-track,
.next-track {
    cursor: url(../cursors/link-select.gif), pointer;
}

/*music player end*/
